Skip to main content
PATCH
/
api
/
contacts
/
{id}
PATCH /api/contacts/{id}
curl --request PATCH \
  --url https://api.sippet.ai/api/contacts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "id": "<string>",
    "attributes": {
      "email": "<string>",
      "full_name": "<string>",
      "notes": "<string>",
      "phone_e164": "<string>"
    },
    "relationships": {},
    "type": "Contact"
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "<string>",
    "attributes": {
      "full_name": "<string>",
      "email": "<string>",
      "notes": "<string>",
      "phone_e164": "<string>"
    },
    "relationships": {}
  },
  "included": [
    "<unknown>"
  ],
  "meta": {}
}

Authorizations

Authorization
string
header
required

JWT for bearer authentication

Path Parameters

id
string
required

Query Parameters

include
string

Relationship paths to include in the response

Pattern: ^()(,())*$
fields
object

Limits the response fields to only those listed for each type

Example:
{
"Contact": "id,full_name,email,phone_e164,notes"
}

Body

application/vnd.api+json

Request body for the /contacts/:id operation on Contact resource

data
object
required

Response

Success

data
object

A "Resource object" representing a Contact

included
any[]
meta
object